Page MenuHomePhabricator

Make PageArchive aware of MCR
Closed, ResolvedPublic

Description

PageArchive is used to delete and undelete pages. It needs to become aware of the new MCR schema.

Related Objects

StatusAssignedTask
Declineddchen
OpenNone
OpenNone
DuplicateNone
OpenNone
ResolvedAbit
OpenNone
OpenNone
OpenNone
OpenNone
DuplicateNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
Resolvedppelberg
ResolvedKrinkle
OpenNone
OpenNone
OpenNone
OpenNone
StalledNone
OpenNone
OpenNone
OpenNone
Resolveddaniel
Resolveddaniel
Resolveddaniel

Event Timeline

daniel triaged this task as Normal priority.May 7 2018, 10:15 AM
daniel created this task.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 7 2018, 10:15 AM

Change 426009 had a related patch set uploaded (by Daniel Kinzler; owner: Daniel Kinzler):
[mediawiki/core@master] [MCR] Make PageArchive aware of MCR

https://gerrit.wikimedia.org/r/426009

daniel moved this task from Inbox to Done on the Multi-Content-Revisions board.May 7 2018, 10:39 AM

Change 425287 had a related patch set uploaded (by Daniel Kinzler; owner: Daniel Kinzler):
[mediawiki/core@master] Tests for preserving content ID and origin during undeletion

https://gerrit.wikimedia.org/r/425287

Change 425287 merged by jenkins-bot:
[mediawiki/core@master] Tests for preserving content ID and origin during undeletion

https://gerrit.wikimedia.org/r/425287

Ladsgroup moved this task from blocked on others to monitoring on the Wikidata board.
Vvjjkkii renamed this task from Make PageArchive aware of MCR to 0hdaaaaaaa.Jul 1 2018, 1:11 AM
Vvjjkkii removed daniel as the assignee of this task.
Vvjjkkii raised the priority of this task from Normal to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: gerritbot, Aklapper.
CommunityTechBot renamed this task from 0hdaaaaaaa to Make PageArchive aware of MCR.Jul 2 2018, 1:56 PM
CommunityTechBot assigned this task to daniel.
CommunityTechBot lowered the priority of this task from High to Normal.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added subscribers: gerritbot, Aklapper.

Change 426009 merged by jenkins-bot:
[mediawiki/core@master] [MCR] Make PageArchive aware of MCR

https://gerrit.wikimedia.org/r/426009

daniel closed this task as Resolved.Jul 13 2018, 8:41 AM
hashar added a subscriber: hashar.

A test for Cognate fails due to https://gerrit.wikimedia.org/r/426009 : T200072

I have no idea whether that is an issue with the PageArchive being made aware of MCR or if it is an issue in Cognate itself.

Lets follow up on T200072

Change 455630 had a related patch set uploaded (by Daniel Kinzler; owner: Daniel Kinzler):
[mediawiki/core@master] Fix undeletion write-both/read-old mode.

https://gerrit.wikimedia.org/r/455630

Change 455630 merged by jenkins-bot:
[mediawiki/core@master] Fix undeletion write-both/read-old mode.

https://gerrit.wikimedia.org/r/455630